# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "loadr-outputs"
version = "1.0.0"
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Built-in metric outputs for loadr: JSON, CSV, Prometheus, InfluxDB, OTLP and StatsD exporters"
readme = false
license-file = "LICENSE"
repository = "https://loadr.io"

[lib]
name = "loadr_outputs"
path = "src/lib.rs"

[dependencies.async-trait]
version = "0.1"

[dependencies.bytes]
version = "1"

[dependencies.csv]
version = "1"

[dependencies.futures]
version = "0.3"

[dependencies.http]
version = "1"

[dependencies.http-body-util]
version = "0.1"

[dependencies.hyper]
version = "1"
features = ["full"]

[dependencies.hyper-util]
version = "0.1"
features = ["full"]

[dependencies.indexmap]
version = "2"
features = ["serde"]

[dependencies.loadr-config]
version = "1.0.0"

[dependencies.loadr-core]
version = "1.0.0"

[dependencies.parking_lot]
version = "0.12"

[dependencies.prost]
version = "0.14"

[dependencies.serde]
version = "1"
features = [
    "derive",
    "rc",
]

[dependencies.serde_json]
version = "1"

[dependencies.snap]
version = "1.1"

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1.52"
features = ["full"]

[dependencies.tonic]
version = "0.14"
features = ["tls-ring"]

[dependencies.tonic-prost]
version = "0.14"

[dependencies.tracing]
version = "0.1"

[dev-dependencies.tempfile]
version = "3"

[dev-dependencies.tokio-stream]
version = "0.1"

[build-dependencies.prost-build]
version = "0.14"

[build-dependencies.protox]
version = "0.9"

[build-dependencies.tonic-prost-build]
version = "0.14"
